Debian Bug report logs - #680469
add missing live-debconfig preseeding

version graph

Package: lxc; Maintainer for lxc is Daniel Baumann <mail@daniel-baumann.ch>; Source for lxc is src:lxc.

Reported by: miguel <rui.bernardo.pt@gmail.com>

Date: Fri, 6 Jul 2012 05:27:01 UTC

Severity: important

Tags: wheezy

Merged with 681268, 681972, 683117

Found in versions lxc/0.8.0~rc1-4, lxc/0.8.0~rc1-8

Fixed in versions lxc/0.8.0~rc1-10, lxc/0.8.0~rc1-8+deb7u2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Fri, 06 Jul 2012 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to miguel <rui.bernardo.pt@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 06 Jul 2012 05:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: miguel <rui.bernardo.pt@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lxc: no console after lxc-start or lxc-console with debian template
Date: Fri, 06 Jul 2012 06:22:09 +0100
Package: lxc
Version: 0.8.0~rc1-8
Severity: normal

Dear Maintainer,

I could not get a console from the container with neither lxc-start nor 
lxc-console after setting up a debian sid container.

The only way to access the container was with ssh.

	sudo lxc-create -n sid -t debian
	# choose sid and wait for container build process
	sudo lxc-start -n sid

The output of the lxc-start is

---8<--------
miguel@quartor:~$ sudo lxc-start -n sid
INIT: version 2.88 booting
[info] Using makefile-style concurrent boot in runlevel S.
hostname: you must be root to change the host name
mount: permission denied
mount: permission denied
mount: permission denied
[info] Setting the system clock.
hwclock: Cannot access the Hardware Clock via any known method.
hwclock: Use the --debug option to see the details of our search for an access method.
[warn] Unable to set System Clock to: Fri Jul 6 04:28:25 UTC 2012 ... (warning).
[ ok ] Activating swap...done.
mount: can't find / in /etc/fstab or /etc/mtab
[warn] Creating compatibility symlink from /etc/mtab to /proc/mounts. ... (warning).
[ ok ] Cleaning up temporary files... /tmp.
mount: permission denied
mount: permission denied
mount: permission denied
[warn] Mount point '/dev/console' does not exist. Skipping mount. ... (warning).
[warn] Mount point '/dev/ptmx' does not exist. Skipping mount. ... (warning).
[ ok ] Activating lvm and md swap...done.
[....] Checking file systems...fsck from util-linux 2.20.1
done.
[ ok ] Mounting local filesystems...done.
[ ok ] Activating swapfile swap...done.
mount: permission denied
mount: permission denied
mount: permission denied
[ ok ] Setting kernel variables ...done.
[ ok ] Cleaning up temporary files....
[....] Configuring network interfaces...Internet Systems Consortium DHCP Client 4.2.4
Copyright 2004-2012 Internet Systems Consortium.
All rights reserved.
For info, please visit https://www.isc.org/software/dhcp/

Listening on LPF/eth0/00:0c:61:00:00:00
Sending on   LPF/eth0/00:0c:61:00:00:00
Sending on   Socket/fallback
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 11
DHCPREQUEST on eth0 to 255.255.255.255 port 67
DHCPOFFER from 192.168.1.1
DHCPACK from 192.168.1.1
bound to 192.168.1.5 -- renewal in 1715 seconds.
done.
[ ok ] Cleaning up temporary files....
[FAIL] startpar: service(s) returned failure: hostname.sh ... failed!
INIT: Entering runlevel: 2
[info] Using makefile-style concurrent boot in runlevel 2.
[ ok ] Starting OpenBSD Secure Shell server: sshd.
---8<--------

And there is no console. After a while some new output:

---8<--------
INIT: Id "1" respawning too fast: disabled for 5 minutes
INIT: Id "3" respawning too fast: disabled for 5 minutes
INIT: Id "2" respawning too fast: disabled for 5 minutes
INIT: Id "4" respawning too fast: disabled for 5 minutes
INIT: Id "6" respawning too fast: disabled for 5 minutes
INIT: Id "5" respawning too fast: disabled for 5 minutes
---8<--------

Even with lxc-console:

---8<--------
miguel@quartor:~$ sudo lxc-console -n sid

Type <Ctrl+a q> to exit the console, <Ctrl+a Ctrl+a> to enter Ctrl+a itself

---8<--------

After some digging about this I've found that this could be some debconf 
settings in live-config that are not working:

	root@quartor:/# debconf-get-selections |grep lxc
	unknown	live-debconfig/sysvinit/lxc-consoles	string	6
	unknown	live-debconfig/sysvinit/lxc-enable	boolean	false

I've tried to use a preseed file to set lxc-enable to true and create a 
new container but it had no results. The new container still had 
lxc-enable false.

Then I've looked to backends/debconf/0030-sysvinit in live-config source 
code. Then I've edited the /etc/inittab in the container and the 
relevant part was this:

---8<--------
1:2345:respawn:/sbin/getty 38400 tty1
2:23:respawn:/sbin/getty 38400 tty2
3:23:respawn:/sbin/getty 38400 tty3
4:23:respawn:/sbin/getty 38400 tty4
5:23:respawn:/sbin/getty 38400 tty5
6:23:respawn:/sbin/getty 38400 tty6
---8<--------

After editing those lines to the following and restarting the container 
I could get a console right after lxc-start.

---8<--------
1:2345:respawn:/sbin/getty 38400 console
c1:23:respawn:/sbin/getty 38400 console
#c2:23:respawn:/sbin/getty 38400 console
#c3:23:respawn:/sbin/getty 38400 tty4
#c4:23:respawn:/sbin/getty 38400 tty5
#c5:23:respawn:/sbin/getty 38400 tty6
---8<--------

I've reported this to lxc package because I'm not sure if this is a lxc 
debian template problem or if it is only a live-config package problem. 
Decided to report to lxc because it was where the issue came up. Please 
reassign if necessary.


Thank you


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=pt_PT.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to pt_PT.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lxc depends on:
ii  debconf [debconf-2.0]  1.5.44
ii  libc6                  2.13-33
ii  libcap2                1:2.22-1
ii  multiarch-support      2.13-33

Versions of packages lxc recommends:
ii  debootstrap  1.0.41
ii  libcap2-bin  1:2.22-1

Versions of packages lxc suggests:
pn  lxctl  <none>

-- debconf information:
  lxc/directory: /home/lxc
  lxc/title:
  lxc/auto: true
  lxc/shutdown: /usr/bin/lxc-halt




Changed Bug title to 'add missing live-config preseeding' from 'lxc: no console after lxc-start or lxc-console with debian template' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 10 Jul 2012 20:33:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 10 Jul 2012 20:33:04 GMT) Full text and rfc822 format available.

Marked as found in versions lxc/0.8.0~rc1-4. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 18 Jul 2012 14:27:10 GMT) Full text and rfc822 format available.

Merged 680469 681972 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 18 Jul 2012 14:27:11 GMT) Full text and rfc822 format available.

Merged 680469 681268 681972 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 18 Jul 2012 14:27:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'add missing live-debconfig preseeding' from 'add missing live-config preseeding' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 18 Jul 2012 14:27:15 GMT) Full text and rfc822 format available.

Merged 680469 681268 681972 683117 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 28 Jul 2012 21:54:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 22 Aug 2012 08:51:07 GMT) Full text and rfc822 format available.

Notification sent to miguel <rui.bernardo.pt@gmail.com>:
Bug acknowledged by developer. (Wed, 22 Aug 2012 08:51:07 GMT) Full text and rfc822 format available.

Message #24 received at 680469-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 680469-close@bugs.debian.org
Subject: Bug#680469: fixed in lxc 0.8.0~rc1-10
Date: Wed, 22 Aug 2012 08:49:00 +0000
Source: lxc
Source-Version: 0.8.0~rc1-10

We believe that the bug you reported is fixed in the latest version of
lxc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated lxc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 22 Aug 2012 09:01:11 +0200
Source: lxc
Binary: lxc lxc-dbg lxc-dev
Architecture: source i386
Version: 0.8.0~rc1-10
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 lxc        - Linux Containers userspace tools
 lxc-dbg    - Linux Containers userspace tools (debug)
 lxc-dev    - Linux Containers userspace tools (development)
Closes: 680469 683999 684124 684572
Changes: 
 lxc (0.8.0~rc1-10) unstable; urgency=low
 .
   * Adding some lxc related boot parameters in readme (Closes: #683999).
   * Correcting spelling typo in previous changelog entry.
   * Adding note about lxc directory in readme.
   * Sourcing /etc/default/lxc in lxc-ls (Closes: #684124).
   * Listing attached consoles in lxc-list.
   * Using printf in lxc-list to produce a table output.
   * Adding updated Danish debconf translations from Joe Dalton
     <joedalton2@yahoo.dk> (Closes: #684572).
   * Mounting /proc with hidepid=2 on progress by default.
   * Also removing auto symlink when destroying containers.
   * Protecting multiarch queries since install files are run with set -
     e.
   * Adding missing live-config preseedings in lxc-debconf (Closes:
     #680469).
   * Updating todo file.
Checksums-Sha1: 
 42b677c44605e4e71fd2b9187644f65af00b382c 1273 lxc_0.8.0~rc1-10.dsc
 855418ba4752e33ab46fc4421db5a84e60c0dcb3 42244 lxc_0.8.0~rc1-10.debian.tar.xz
 96d638c7e62c3fcf649a3de88093a546138ce694 167414 lxc_0.8.0~rc1-10_i386.deb
 50884652e726006d0797c88db8f9b67dca9c6475 258348 lxc-dbg_0.8.0~rc1-10_i386.deb
 f54b43d18aea3b8621d4042b86e173a08c7df623 19834 lxc-dev_0.8.0~rc1-10_i386.deb
Checksums-Sha256: 
 068ceb63bb67114ef976030a0e1b74b0e7b054c101b1254b3b00693740ec89d4 1273 lxc_0.8.0~rc1-10.dsc
 bb2f85d28a5aeb1f046eff90884a3e09ea95d16ae0b34176a584723c461116b0 42244 lxc_0.8.0~rc1-10.debian.tar.xz
 3fd10ae2220eb2b8c27c720f04215ba0c2106b2014e685498d582408d3e2b49a 167414 lxc_0.8.0~rc1-10_i386.deb
 028331de3590020f5818c419743334d2d2f346c062baae5b2f483a1450b75375 258348 lxc-dbg_0.8.0~rc1-10_i386.deb
 89b5682da090a973a8fc436885b7f71ebe55a460722f4a0736baf3bafd4872af 19834 lxc-dev_0.8.0~rc1-10_i386.deb
Files: 
 5c0b0f4d9d28acfe1ad3fdbf524ac2d7 1273 admin optional lxc_0.8.0~rc1-10.dsc
 0ff94cf2758589f2d2d01ada61ea9206 42244 admin optional lxc_0.8.0~rc1-10.debian.tar.xz
 51c76ea76686245eda08c32a20ac60a7 167414 admin optional lxc_0.8.0~rc1-10_i386.deb
 5ca6faa3825dab7a32fcffd9b28e19c4 258348 debug extra lxc-dbg_0.8.0~rc1-10_i386.deb
 73cc1663ad05a0487278396ce72423d0 19834 libdevel optional lxc-dev_0.8.0~rc1-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlA0jr8ACgkQ+C5cwEsrK55ZRgCgpfnNWCzyAMhhkWCHH971XNDt
QvoAoIN6oj58HIDTRwQJkaJBsahhGwGL
=UZIG
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 22 Aug 2012 08:51:08 GMT) Full text and rfc822 format available.

Notification sent to eldau <m.wuehrer@gmx.net>:
Bug acknowledged by developer. (Wed, 22 Aug 2012 08:51:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 22 Aug 2012 08:51:09 GMT) Full text and rfc822 format available.

Notification sent to Stefan Schlesinger <sts@ono.at>:
Bug acknowledged by developer. (Wed, 22 Aug 2012 08:51:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 22 Aug 2012 08:51:09 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Schmidt <yath@yath.de>:
Bug acknowledged by developer. (Wed, 22 Aug 2012 08:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Mon, 04 Feb 2013 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal-Ilić <joostvb-freedombox@mdcc.cx>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 14:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 680469@bugs.debian.org (full text, mbox):

From: Joost van Baal-Ilić <joostvb-freedombox@mdcc.cx>
To: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Cc: "freedombox-discuss@lists.alioth.debian.org" <freedombox-discuss@lists.alioth.debian.org>, 680469@bugs.debian.org
Subject: status of lxc in debian wheezy (was: Re: [Freedombox-discuss] jails in Debian?)
Date: Mon, 4 Feb 2013 15:17:56 +0100
Hi,

[Cc-ing the bug.]

On Mon, Feb 04, 2013 at 02:42:40PM +0100, Rob van der Hoeven wrote:
> > > the Lenny repositories are not available anymore. LXC on Wheezy was
> > > frozen at the time the Debian LXC package itself was broken. Its very
> > > unfortunate that LXC on Wheezy is broken because its maintainer has
> > > clearly put a *lot* of effort in the package and now *normal* Debian
> > > users cannot enjoy this great technology for years to come.   
> > 
> > Is the issue you're talking about reported as a bug in the Debian BTS?  I've
> > just checked http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=lxc;dist=unstable
> > but couldn't find anything which matches.
> > 
> 
> For Wheezy it's this bug:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680469
> 
> Already solved, but not in time for the release-freeze.

I see, thanks.  The initial submitter gave this bug Severity: normal.  Do you
feel this bug makes lxc unusable, or mostly so?  If there's agreement on that,
we could try to make a proposed update for the lxc package in wheezy.  See also
http://release.debian.org/wheezy/rc_policy.txt .

Alternatively, a paragraph could be added to the wheeze release notes.  Perhaps
the workaround with ssh as mentioned in the bugreport could be listed there.  I
don't use lxc myself, so a draft text would be very welcome.  I myself can add
such text to the release notes at
http://www.debian.org/releases/testing/amd64/release-notes/ch-upgrading.en.html#package-specific-issues .

Groeten,

Joost

-- 
Domine, non sum dignus, ut intres sub tectum meum: sed tantum
dic verbo, et sanabitur anima mea.            http://mdcc.cx/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Mon, 04 Feb 2013 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 16:15:03 GMT) Full text and rfc822 format available.

Message #46 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: Joost van Baal-Ilić <joostvb-freedombox@mdcc.cx>
Cc: "freedombox-discuss@lists.alioth.debian.org" <freedombox-discuss@lists.alioth.debian.org>, 680469@bugs.debian.org
Subject: Re: status of lxc in debian wheezy (was: Re: [Freedombox-discuss] jails in Debian?)
Date: Mon, 04 Feb 2013 16:56:25 +0100
> > For Wheezy it's this bug:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680469
> > 
> > Already solved, but not in time for the release-freeze.
> 
> I see, thanks.  The initial submitter gave this bug Severity: normal.  Do you
> feel this bug makes lxc unusable, or mostly so?  If there's agreement on that,
> we could try to make a proposed update for the lxc package in wheezy.  See also
> http://release.debian.org/wheezy/rc_policy.txt .
> 

I think most Debian users want Debian LXC containers. This is not
possible in the upcoming Wheezy release. So yes, i think this bug
severely cripples LXC. Already contacted its maintainer about this, but
i had the impression that he had tried but could do nothing about the
situation. Also put a request on the release mailing list to temporarily
un-freeze LXC so the fix could be in Wheezy (Got no reply there).   

> Alternatively, a paragraph could be added to the wheeze release notes.

Most users will try LXC a long time after they installed Wheezy when
they have forgotten about the release notes (if they had read the
release notes at all). So a release note will not solve the problem.

People expect that programs that are in a Debian release are tested and
functioning. I think its bad to ship LXC in the state that it is
currently in. Solve the problem or remove LXC from Wheezy, do not let
users wondering why LXC does not work on their machine.

Rob.
http://freedomboxblog.nl





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Mon, 04 Feb 2013 17:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 17:06:03 GMT) Full text and rfc822 format available.

Message #51 received at 680469@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: debian-release@lists.debian.org, 680469@bugs.debian.org
Subject: Fw: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Mon, 4 Feb 2013 17:02:43 +0000
See below for a problem that has come up on the freedombox list.

It seems that this bug should have been marked at least serious and
probably RC all along. This is quite an important package to have
working as it enables a lot of other stuff. And there is already a fix
available. However that fix is mixed in with a pile of others in
0.8.0~rc1-9 and 0.8.0~rc1-10, so what would be needed would be a patch
for the current 0.8.0~rc1-8+deb7u1 with just this fix in it for
consideration of the release team. Looking at the diffs between these
versions it does not look difficult to produce and I can do that if
it'll be useful. 

I've confirmed that this problem still exists in the current wheezy
version (for wheezy containers as well as sid ones). 

Does the team agree that this is an RC issue (it looks like one to
me)? and given a patch fixing only this issue is this something the
release team would consider eligible for wheezy? (Yes, I know it
would have been better if this had been marked RC 6 months ago). 

----- Forwarded message from Rob van der Hoeven <robvanderhoeven@ziggo.nl> -----

Date: Mon, 04 Feb 2013 16:56:25 +0100
From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: Joost van Baal-Ilić <joostvb-freedombox@mdcc.cx>
Cc: 680469@bugs.debian.org,
	"freedombox-discuss@lists.alioth.debian.org" <freedombox-discuss@lists.alioth.debian.org>
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re:
	jails in Debian?)
List-Id: Discussion of the Freedom Box project
	<freedombox-discuss.lists.alioth.debian.org>
X-Spam-Status: No, score=-4.3 required=4.5 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.3.1

> > For Wheezy it's this bug:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680469
> > 
> > Already solved, but not in time for the release-freeze.
> 
> I see, thanks.  The initial submitter gave this bug Severity: normal.  Do you
> feel this bug makes lxc unusable, or mostly so?  If there's agreement on that,
> we could try to make a proposed update for the lxc package in wheezy.  See also
> http://release.debian.org/wheezy/rc_policy.txt .
> 

I think most Debian users want Debian LXC containers. This is not
possible in the upcoming Wheezy release. So yes, i think this bug
severely cripples LXC. Already contacted its maintainer about this, but
i had the impression that he had tried but could do nothing about the
situation. Also put a request on the release mailing list to temporarily
un-freeze LXC so the fix could be in Wheezy (Got no reply there).   

> Alternatively, a paragraph could be added to the wheeze release notes.

Most users will try LXC a long time after they installed Wheezy when
they have forgotten about the release notes (if they had read the
release notes at all). So a release note will not solve the problem.

People expect that programs that are in a Debian release are tested and
functioning. I think its bad to ship LXC in the state that it is
currently in. Solve the problem or remove LXC from Wheezy, do not let
users wondering why LXC does not work on their machine.

Rob.
http://freedomboxblog.nl



_______________________________________________
Freedombox-discuss mailing list
Freedombox-discuss@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/freedombox-discuss

----- End forwarded message -----
Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Thu, 07 Feb 2013 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Thu, 07 Feb 2013 20:57:03 GMT) Full text and rfc822 format available.

Message #56 received at 680469@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 680469@bugs.debian.org
Cc: control@bugs.debian.org, Wookey <wookey@wookware.org>
Subject: let's fix this
Date: Thu, 7 Feb 2013 21:53:47 +0100
[Message part 1 (text/plain, inline)]
severity 680469 important
thanks
thanks, wookey! ;-)
# from debian-release:
* h01ger sighs at 680469 and wonders what to advice to wookey
<h01ger> +whether to raise this bug to important or serious
<h01ger> seems the latter to me
<jcristau> if somebody thinks it's important they can prepare a tpu patch for 
it...
[Message part 2 (text/html, inline)]

Severity set to 'important' from 'normal' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 07 Feb 2013 20:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Thu, 07 Feb 2013 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Thu, 07 Feb 2013 23:27:05 GMT) Full text and rfc822 format available.

Message #63 received at 680469@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: freedombox-discuss@lists.alioth.debian.org
Cc: 680469@bugs.debian.org
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Thu, 7 Feb 2013 23:23:59 +0000
+++ Wookey [2013-02-04 17:50 +0000]:
> +++ Rob van der Hoeven [2013-02-04 16:56 +0100]:
> 
> > I think most Debian users want Debian LXC containers. This is not
> > possible in the upcoming Wheezy release. So yes, i think this bug
> > severely cripples LXC. Already contacted its maintainer about this, but
> > i had the impression that he had tried but could do nothing about the
> > situation. Also put a request on the release mailing list to temporarily
> > un-freeze LXC so the fix could be in Wheezy (Got no reply there).   
> 
> OK. I suspect the problem is that a) this bug did not have a
> high-enough priority when filed so its seriousness was not
> appreciated, and the fix for it is mixed in with a lot of other fixes,

> A fix for the version in wheezy for _just_ this issue so that lxc
> becomes usuable would be a very good thing. 
> 
> I've asked on the release list whether a) they agree that this is
> Release-Critical and b) whether an upload would be allowed if it fixed
> _only_ this issue.

OK, the release team response was to raise this to 'important' and ask
for a patch and an upload to testing-proposed-updates:

So, is anyone volunteering to patch the version in wheezy with just
the fixes needed? It doesn't look difficult, but would be much better
done by someone at least vaguely familiar with the package and able to
test it. I'm happy to help with the actual upload/debian
infrastructure part, but I never even ran lxc before this thread so am
not well-placed to fix it. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Fri, 08 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 08 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Message #68 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: Wookey <wookey@wookware.org>
Cc: freedombox-discuss@lists.alioth.debian.org, 680469@bugs.debian.org
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Fri, 08 Feb 2013 13:35:27 +0100
On Thu, 2013-02-07 at 23:23 +0000, Wookey wrote:
> +++ Wookey [2013-02-04 17:50 +0000]:
> > +++ Rob van der Hoeven [2013-02-04 16:56 +0100]:
> > 
> > > I think most Debian users want Debian LXC containers. This is not
> > > possible in the upcoming Wheezy release. So yes, i think this bug
> > > severely cripples LXC. Already contacted its maintainer about this, but
> > > i had the impression that he had tried but could do nothing about the
> > > situation. Also put a request on the release mailing list to temporarily
> > > un-freeze LXC so the fix could be in Wheezy (Got no reply there).   
> > 
> > OK. I suspect the problem is that a) this bug did not have a
> > high-enough priority when filed so its seriousness was not
> > appreciated, and the fix for it is mixed in with a lot of other fixes,
> 
> > A fix for the version in wheezy for _just_ this issue so that lxc
> > becomes usuable would be a very good thing. 
> > 
> > I've asked on the release list whether a) they agree that this is
> > Release-Critical and b) whether an upload would be allowed if it fixed
> > _only_ this issue.
> 
> OK, the release team response was to raise this to 'important' and ask
> for a patch and an upload to testing-proposed-updates:
> 

Great news, lets fix this! 

> So, is anyone volunteering to patch the version in wheezy with just
> the fixes needed? It doesn't look difficult, but would be much better
> done by someone at least vaguely familiar with the package and able to
> test it. I'm happy to help with the actual upload/debian
> infrastructure part, but I never even ran lxc before this thread so am
> not well-placed to fix it.

I'm not familiar with the patching process so i can not do this. I will
be happy to help with the testing part if needed. 

Rob.
http://freedomboxblog.nl





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Sat, 09 Feb 2013 05:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nick M. Daly" <nick.m.daly@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sat, 09 Feb 2013 05:21:04 GMT) Full text and rfc822 format available.

Message #73 received at 680469@bugs.debian.org (full text, mbox):

From: "Nick M. Daly" <nick.m.daly@gmail.com>
To: Rob van der Hoeven <robvanderhoeven@ziggo.nl>, Wookey <wookey@wookware.org>
Cc: 680469@bugs.debian.org, freedombox-discuss@lists.alioth.debian.org
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Fri, 08 Feb 2013 23:15:42 -0600
[Message part 1 (text/plain, inline)]
Rob van der Hoeven writes:

> On Thu, 2013-02-07 at 23:23 +0000, Wookey wrote:
>> OK, the release team response was to raise this to 'important' and ask
>> for a patch and an upload to testing-proposed-updates:
>> 
>
> Great news, lets fix this!
>
> [...] I'm not familiar with the patching process so i can not do
> this. I will be happy to help with the testing part if needed.

Rob, can you supply the necessary diff, so the bugger works at all in
Wheezy?  LXC would be really useful.  Somebody else might be able to
package, etc.

Rob and Wookey, thanks for your work on this.

Nick
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Sat, 09 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sat, 09 Feb 2013 18:48:03 GMT) Full text and rfc822 format available.

Message #78 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: "Nick M. Daly" <nick.m.daly@gmail.com>
Cc: Wookey <wookey@wookware.org>, 680469@bugs.debian.org, freedombox-discuss@lists.alioth.debian.org
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Sat, 09 Feb 2013 19:11:25 +0100
On Fri, 2013-02-08 at 23:15 -0600, Nick M. Daly wrote:
> Rob van der Hoeven writes:
> 
> > On Thu, 2013-02-07 at 23:23 +0000, Wookey wrote:
> >> OK, the release team response was to raise this to 'important' and ask
> >> for a patch and an upload to testing-proposed-updates:
> >> 
> >
> > Great news, lets fix this!
> >
> > [...] I'm not familiar with the patching process so i can not do
> > this. I will be happy to help with the testing part if needed.
> 
> Rob, can you supply the necessary diff, so the bugger works at all in
> Wheezy?  LXC would be really useful.  Somebody else might be able to
> package, etc.
> 

Have been looking into the problem today. The problem seems very easy to
fix, and it can be fixed in a way that would not endanger the upcoming
Wheezy release. Have already done some testing and everything works on
my Wheezy box. Will do some extra testing tomorrow.

Rob.
http://freedomboxblog.nl





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Sun, 10 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 10 Feb 2013 12:39:03 GMT) Full text and rfc822 format available.

Message #83 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: "Nick M. Daly" <nick.m.daly@gmail.com>
Cc: Wookey <wookey@wookware.org>, 680469@bugs.debian.org, freedombox-discuss@lists.alioth.debian.org
Subject: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Sun, 10 Feb 2013 13:35:53 +0100
On Fri, 2013-02-08 at 23:15 -0600, Nick M. Daly wrote:
> Rob van der Hoeven writes:
> 
> > On Thu, 2013-02-07 at 23:23 +0000, Wookey wrote:
> >> OK, the release team response was to raise this to 'important' and ask
> >> for a patch and an upload to testing-proposed-updates:
> >> 
> >
> > Great news, lets fix this!
> >
> > [...] I'm not familiar with the patching process so i can not do
> > this. I will be happy to help with the testing part if needed.
> 
> Rob, can you supply the necessary diff, so the bugger works at all in
> Wheezy?  LXC would be really useful.  Somebody else might be able to
> package, etc.
> 
> Rob and Wookey, thanks for your work on this.
> 
> Nick

Here is my solution:

First let me explain the problem. LXC uses shell scripts (they call them
templates) to create the rootfs of a container, this is where things go
wrong. The current Wheezy templates for creating a Debian rootfs use
live-debconfig and this package will not be included in Wheezy. Although
the scripts run, the generated rootfs is not configured correctly.
Fortunately there is nothing wrong with LXC. Simply replacing the shell
script with a version that does not depend on packages that are not in
Wheezy will solve the problem.

On my own computers i use a slightly modified version of the Debian
template that came with Squeeze. My modifications are:
 
1) Installing a Squeeze rootfs instead of a Lenny rootfs
2) Replacing the deprecated DHCP package
3) Adding some mknod commands to create tty's in the generated rootfs
4) Support for the armel architecture.
5) For the network configuration the template expects that the host has
a bridged network with the name br0 and a DHCP server running. 

I have updated this template to install a Wheezy rootfs and tested the
result. It seems to work perfectly. So my solution is: remove the
non-functional Debian templates from the LXC package and replace them
with my working template. 

You can download my Debian Wheezy template at:

http://freedomboxblog.nl/wp-content/uploads/lxc-debian-wheezy.gz

If you want to test the template:

Extract the file to /usr/share/lxc/templates , change owner and group to
root and make it executable.

Create a container with:

lxc-create -n wheezy01 -t debian-wheezy

Start it:

lxc-start -n wheezy01

The generated rootfs reports the container name to the DHCP server. If
you happen to to run a combined DHCP/DNS server like dnsmasq this can be
used to automatically create a domain-name for the container. (My own
setup would create the DNS name wheezy01.freedom.box for the container.
Handy for ssh connections...)

Rob.
http://freedomboxblog.nl





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Sun, 10 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 10 Feb 2013 14:39:03 GMT) Full text and rfc822 format available.

Message #88 received at 680469@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: debian-release@lists.debian.org, 680469@bugs.debian.org
Subject: Re: Fw: Re: [Freedombox-discuss] status of lxc in debian wheezy (was: Re: jails in Debian?)
Date: Sun, 10 Feb 2013 15:35:06 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb  4, 2013 at 17:02:43 +0000, Wookey wrote:

> It seems that this bug should have been marked at least serious and
> probably RC all along. This is quite an important package to have
> working as it enables a lot of other stuff. And there is already a fix
> available. However that fix is mixed in with a pile of others in
> 0.8.0~rc1-9 and 0.8.0~rc1-10, so what would be needed would be a patch
> for the current 0.8.0~rc1-8+deb7u1 with just this fix in it for
> consideration of the release team. Looking at the diffs between these
> versions it does not look difficult to produce and I can do that if
> it'll be useful. 
> 
If somebody prepares (and tests) a patch fixing this issue against
0.8.0~rc1-8+deb7u1 for an upload to tpu, we can consider it...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Mon, 11 Feb 2013 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 11 Feb 2013 08:51:05 GMT) Full text and rfc822 format available.

Message #93 received at 680469@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Cc: 680469@bugs.debian.org
Subject: Re: Bug#680469: [Freedombox-discuss] status of lxc in debian wheezy
Date: Mon, 11 Feb 2013 09:53:35 +0100
On 02/10/2013 01:35 PM, Rob van der Hoeven wrote:
> my solution is: remove the
> non-functional Debian templates from the LXC package and replace them
> with my working template.

i will not support your template, so note that you will have to take all 
user support for the lifetime of the wheezy release with your template.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#680469; Package lxc. (Mon, 11 Feb 2013 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 11 Feb 2013 11:39:03 GMT) Full text and rfc822 format available.

Message #98 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: daniel.baumann@progress-technologies.net
Cc: 680469@bugs.debian.org
Subject: Re: Bug#680469: [Freedombox-discuss] status of lxc in debian wheezy
Date: Mon, 11 Feb 2013 12:36:01 +0100
On Mon, 2013-02-11 at 09:53 +0100, Daniel Baumann wrote:
> On 02/10/2013 01:35 PM, Rob van der Hoeven wrote:
> > my solution is: remove the
> > non-functional Debian templates from the LXC package and replace them
> > with my working template.
> 
> i will not support your template, so note that you will have to take all 
> user support for the lifetime of the wheezy release with your template.

I will be happy to support the template. I'm not a Debian maintainer so
how would this work? 

BTW, please do not think i don't appreciate the work you have done on
LXC in Debian. It's a real shame your templates are broken by the
missing live-debconfig. Maybe your templates can be installed by
backports later on?

Rob.
http://freedomboxblog.nl





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:47:05 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Christian Aichinger <Greek0@gmx.net> to control@bugs.debian.org. (Tue, 04 Jun 2013 11:27:04 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Christian Aichinger <Greek0@gmx.net> to control@bugs.debian.org. (Tue, 04 Jun 2013 11:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 04 Jun 2013 11:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Aichinger <christian.aichinger@univie.ac.at>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 04 Jun 2013 11:57:09 GMT) Full text and rfc822 format available.

Message #109 received at 680469@bugs.debian.org (full text, mbox):

From: Christian Aichinger <christian.aichinger@univie.ac.at>
To: 680469@bugs.debian.org
Cc: 680469-subscribe@bugs.debian.org
Subject: Fixing LXC in Wheezy
Date: Tue, 04 Jun 2013 13:40:33 +0200
LXC is completely unusable in Wheezy without manually installing Rob van 
der Hoeven's templates. Thus, in my opinion, this should be severity grave.

It's great that this problem is fixed in testing/unstable, but given 
that ~80% of all Debian users use stable (popcon numbers), it's a bit 
unsatisfactory. It's also problematic since LXC is the only container 
solution left in Wheezy, now that kernel support for OpenVZ and VServer 
was removed.

Is there any chance to get this fixed in Wheezy via a stable update (not 
necessarily via Rob's template) ?

Best wishes,
Chris




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Thu, 06 Jun 2013 20:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon van der Veldt <simon.vanderveldt@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Thu, 06 Jun 2013 20:21:12 GMT) Full text and rfc822 format available.

Message #114 received at 680469@bugs.debian.org (full text, mbox):

From: Simon van der Veldt <simon.vanderveldt@gmail.com>
To: 680469@bugs.debian.org
Subject: RE: Fixing LXC in Wheezy
Date: Thu, 6 Jun 2013 22:16:25 +0200
[Message part 1 (text/plain, inline)]
Christian, I'm very happy you chimed in about this as I feel exactly the
same. LXC in Wheezy is completely unusable in it's current form (when you
want to create/run a Wheezy container).
Is there anything we can do to fix this asap? How can we raise the priority
of this bug?

For starters: I have looked at Rob's template and compared it to the debian
template in Squeeze (or actually the last non-debconf template from lxc
0.7.5-5) and documented all the differences here
https://github.com/simonvanderveldt/lxc-debian-wheezy-template
What I still want to do is compare Rob's template to the upstream template
as well and then create a template that is as close as possible to the
upstream template whilst still working and incorporation all the changes to
make it work/work better.

Maybe some lxc experts can help determine which changes are necessary and
should be kept and which changes are superfluous?


Best regards,
Simon
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 23 Jul 2013 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 23 Jul 2013 17:54:04 GMT) Full text and rfc822 format available.

Message #119 received at 680469@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: 680469@bugs.debian.org
Cc: simon.vanderveldt@gmail.com, robvanderhoeven@ziggo.nl
Subject: RE: Fixing LXC in Wheezy
Date: Tue, 23 Jul 2013 19:51:41 +0200
Hi,

is there any progress on making lxc in wheezy usable without resorting to third
party scripts?

I just set up a wheezy server, wanted to use lxc and ran into the problems
described here and in other places. I ended up trying lxc from jessie but still
wasnt able to successfully boot the newly created machine (will bugreport those
issues in another bug).

thanks, josch



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Sun, 28 Jul 2013 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Sun, 28 Jul 2013 15:18:04 GMT) Full text and rfc822 format available.

Message #124 received at 680469@bugs.debian.org (full text, mbox):

From: Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>
To: 680469@bugs.debian.org
Subject: RE: Fixing LXC in Wheezy
Date: Sun, 28 Jul 2013 15:15:11 +0000
[Message part 1 (text/plain, inline)]
I have been using openvz on squeeze until i had a problem in a disk.

When I sucessfully intalled wheezy on the server i found out that the
virtual kernels (xen, openvz, etc.) didn't came along with netinst iso
anymore.

And, as you may imagine, it also has come to my attention  that LXC was my
best choice on wheezy from now on.

I am trying to understand what exactly can I do to fix this because my
servers are down and I have to put them online asap.

From what I am trying to understand, one could simply take the
"non-working" template from wheezy and modify it, using Rob's template as a
guide, for example, until it's "fixed".

Or has it already been done and it needs packaging/testing or any other
thing I can do to help?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Thu, 03 Oct 2013 18:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Maluf <gmaluf@zetti.com.ar>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Thu, 03 Oct 2013 18:39:09 GMT) Full text and rfc822 format available.

Message #129 received at 680469@bugs.debian.org (full text, mbox):

From: Gustavo Maluf <gmaluf@zetti.com.ar>
To: 680469@bugs.debian.org
Subject: Adding workaround
Date: Thu, 03 Oct 2013 15:29:38 -0300
Hi people... I've been following this thread for almost a week, trying 
to figure out a solution to make it work. Briefly, this is my story: I 
used to have my servers pool via linux-vserver project tools, and at 
that time I remember it needed a bit of work to make it really usable so 
I made my own set of scripts for everyday use. That has worked like a 
charm so far, more than five vservers in an athlon 3000 home server :). 
Since Debian 7 there is no more official support for vservers (that 
means if I wanted to keep using it I had to compile my own kernel and 
that was not the idea, just for a matter of time and maintainability), 
so as I saw this in advance I knew I would have to migrate sooner or 
later, and the first candidate was lxc. The point is I needed this 
working and got stuck with this issue.

Sorry about the story... now to the subject: I tried using Rob's 
template "as is" and even when it works well creating standard 
containers, it fails when creating lvm storage based containers, so I 
messed my hands in and introduced some little changes to make it work well.

In summary, I made some changes to lxc-create and some to Rob's template 
for wheezy and now it's working for me. I will make a diff of the 
changes I made and post a link to both files and the diffs in case 
someone wants to use them while we wait for the stable fix or a better 
solution.

Hope it helps.

Regards,
Gustavo


-- 
Gustavo Maluf
Senior IT System Administrator
Zetti Ingeniería en Sistemas S.R.L

---
"If you want to go somewhere, goto is the best way to get there."
--Ken Thompson



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 07 Oct 2013 21:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Tingeborn <tinjon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 07 Oct 2013 21:03:11 GMT) Full text and rfc822 format available.

Message #134 received at 680469@bugs.debian.org (full text, mbox):

From: Jonas Tingeborn <tinjon@gmail.com>
To: 680469@bugs.debian.org
Subject: Maintainer's plan for fix in Wheezy?
Date: Mon, 07 Oct 2013 23:01:38 +0200
On 02/11/2013 09:53 AM, Daniel Baumann wrote:
> i will not support your template

Daniel, what is your plan and time frame for fixing your broken package
in Wheezy?

The template has been unusable since Wheezy was released and we've sadly
not seen the slightest bit of progress wrt. fixing this tragic situation.

/ Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 08 Oct 2013 06:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Maluf <gmaluf@zetti.com.ar>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 08 Oct 2013 06:15:09 GMT) Full text and rfc822 format available.

Message #139 received at 680469@bugs.debian.org (full text, mbox):

From: Gustavo Maluf <gmaluf@zetti.com.ar>
To: <680469@bugs.debian.org>
Subject: Adding workaround - part 2
Date: Tue, 08 Oct 2013 03:04:08 -0300
[Message part 1 (text/plain, inline)]
  

Sorry about the delay... 

If you want to try out the files with my
changes, you can download from here:


http://manny.freebits.com.ar/lxc-debian-wheezy-2.tar.gz 

I shipped in
there Rob's template file for wheezy with some minor changes by me,
lxc-create also with some changes, and the diff files of these files
against the original ones (the lxc debian package in the case of
lxc-create, and Rob's template in the other). 

Bear in mind that in
order for my change to work properly you have to add a line like this in
/etc/default/lxc: 

LXC_DIRECTORY="/srv/lxc" 

(change this path to lxc
where container's files are according to your setup) 

To create a
container you may use: 

lxc-create -n mycontainer1 -t debian-wheezy


or 

lxc-create -n mycontainer2 -t debian-wheezy -B lvm --lvname
mycontainer2-diskpart --vgname vg0 --fstype ext4 --fssize 512M 

To
start: lxc-start -n mycontainer1 -d 

It may take a bit to start due to
dhcp client. You can avoid this by setting a fixed ip address in
/etc/network/interfaces for the container itself. 

To enter the
console: lxc-console -n mycontainer1 

To exit the console: ctrl+a q


With these files I've been able to create both types of containers:
normal and lvm-backend based and they work properly. 

Hope it helps
until we get to the real fix. 

Cheers, 

Gustavo 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Thu, 24 Oct 2013 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mason Loring Bliss <mason@blisses.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Thu, 24 Oct 2013 17:00:05 GMT) Full text and rfc822 format available.

Message #144 received at 680469@bugs.debian.org (full text, mbox):

From: Mason Loring Bliss <mason@blisses.org>
To: 680469@bugs.debian.org
Subject: Any updates?
Date: Thu, 24 Oct 2013 12:51:13 -0400
I'd very much like for the LXC included in Wheezy to work out of the box. Is
there any news on when it might be fixed?

-- 
Mason Loring Bliss  ((   If I have not seen as far as others, it is because
 mason@blisses.org   ))   giants were standing on my shoulders. - Hal Abelson



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Fri, 15 Nov 2013 21:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mason Loring Bliss <mason@blisses.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Fri, 15 Nov 2013 21:42:09 GMT) Full text and rfc822 format available.

Message #149 received at 680469@bugs.debian.org (full text, mbox):

From: Mason Loring Bliss <mason@blisses.org>
To: 680469@bugs.debian.org
Subject: What's required for non-maintainer fix?
Date: Fri, 15 Nov 2013 16:39:45 -0500
If the package maintainer doesn't have any interest in fixing his package, is
there an avenue we could pursue to have a fix committed for Wheezy, given
that people wishing to deploy services with Debian are very likely to want to
do it on Debian Stable?

-- 
Mason Loring Bliss          mason@blisses.org          Ewige Blumenkraft!
awake ? sleep : random() & 2 ? dream : sleep; -- Hamlet, Act III, Scene I



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Sat, 23 Nov 2013 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juris <jb.box@inbox.lv>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Sat, 23 Nov 2013 19:48:05 GMT) Full text and rfc822 format available.

Message #154 received at 680469@bugs.debian.org (full text, mbox):

From: Juris <jb.box@inbox.lv>
To: 680469@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net
Subject: If not able to fix in stable, push to wheezy-backports?
Date: Sat, 23 Nov 2013 21:38:32 +0200
Debian 7.2 is out. No OS-level virtualization working in "universal 
operating system".This is not a normal situation for Debian.

Maybe it is possible to push working version say 0.9 to wheezy-backports?

J.



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 10 Dec 2013 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to max <max@fuckaround.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 10 Dec 2013 14:45:04 GMT) Full text and rfc822 format available.

Message #159 received at 680469@bugs.debian.org (full text, mbox):

From: max <max@fuckaround.org>
To: 680469@bugs.debian.org
Subject: no any news...
Date: Tue, 10 Dec 2013 15:36:22 +0100
I'm sad about reading this post... I tried with debian oldstable e 
stable (host) but I can confirm the problem...

Anyone can advice me about an alternative from lxc?

thanks for help

-- 
Max	




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Fri, 13 Dec 2013 16:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Fri, 13 Dec 2013 16:30:15 GMT) Full text and rfc822 format available.

Message #164 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 680469@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net, Wookey <wookey@wookware.org>
Subject: Suggestion to go forward with LXC in stable
Date: Fri, 13 Dec 2013 17:28:54 +0100
Hi,

it's a bit of a shame that this has never been fixed in stable, so I
decided to do something about it.

I have just uploaded backports of live-debconfig to squeeze-backports
and wheezy-backports.

Then I would suggest a stable upload that will force the usage of
those repositories when the user selects a squeeze or wheezy system.

Daniel, can you take care of that or do you need help for this?

Maybe there are other fixes that have to be shoved in this upload.
If yes, let me know.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 16 Dec 2013 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 16 Dec 2013 10:45:04 GMT) Full text and rfc822 format available.

Message #169 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 680469@bugs.debian.org
Subject: Hopeless tries...
Date: Mon, 16 Dec 2013 11:42:07 +0100
[Message part 1 (text/plain, inline)]
Hello,

I had some hope that providing live-debconfig in wheezy-backports would
make it possible to use the lxc-debconf template shipped in wheezy's lxc
with only minor modifications (cf attached debdiff) but the result is far
from satisfactory with the user being asked lots of useless questions
and the resulting container is not really usable (at least when you pick
the default answers to the questions).

I suggest to just stop using lxc-debconf and prepare an update that
restores the upstream script, possibly grabbed from a newer lxc to have
the required fixes.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/
[lxc.debdiff-1 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 16 Dec 2013 11:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 16 Dec 2013 11:51:08 GMT) Full text and rfc822 format available.

Message #174 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 680469@bugs.debian.org
Cc: Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Mon, 16 Dec 2013 12:50:38 +0100
[Message part 1 (text/plain, inline)]
Hi,

following my previous mail, here's the suggested debdiff to fix LXC in
stable. I'm going to submit this to the stable release team.

I would welcome tests from real LXC users. My test package is
here:
http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb

Regards.
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/
[lxc-0.8.0~rc1-8+deb7u2-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 16 Dec 2013 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iuri Guilherme dos Santos Martins <aindatenhoconta@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 16 Dec 2013 15:09:07 GMT) Full text and rfc822 format available.

Message #179 received at 680469@bugs.debian.org (full text, mbox):

From: Iuri Guilherme dos Santos Martins <aindatenhoconta@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Mon, 16 Dec 2013 13:05:42 -0200
[Message part 1 (text/plain, inline)]
2013/12/16 Raphael Hertzog <hertzog@debian.org>

> Hi,
>
> following my previous mail, here's the suggested debdiff to fix LXC in
> stable. I'm going to submit this to the stable release team.
>
> I would welcome tests from real LXC users. My test package is
> here:
> http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb
>
> Regards.
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Discover the Debian Administrator's Handbook:
> → http://debian-handbook.info/get/
>

I haven't checked yet, just for clarification, this would be the package
for the hypervisor, is it right?

Clarification is never enough :D

-- 
http://iuri.neocities.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 16 Dec 2013 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Maluf <gmaluf@zetti.com.ar>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 16 Dec 2013 18:45:09 GMT) Full text and rfc822 format available.

Message #184 received at 680469@bugs.debian.org (full text, mbox):

From: Gustavo Maluf <gmaluf@zetti.com.ar>
To: Iuri Guilherme dos Santos Martins <aindatenhoconta@gmail.com>, Raphael Hertzog <hertzog@debian.org>
Cc: 680469@bugs.debian.org, Jonas Tingeborn <tinjon@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Mon, 16 Dec 2013 15:36:41 -0300
El 16/12/13 12:05, Iuri Guilherme dos Santos Martins escribió:
> 2013/12/16 Raphael Hertzog <hertzog@debian.org <mailto:hertzog@debian.org>>
>
>     Hi,
>
>     following my previous mail, here's the suggested debdiff to fix LXC in
>     stable. I'm going to submit this to the stable release team.
>
>     I would welcome tests from real LXC users. My test package is
>     here:
>     http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb
>
>     Regards.
>     --
>     Raphaël Hertzog ◈ Debian Developer
>
>     Discover the Debian Administrator's Handbook:
>     → http://debian-handbook.info/get/
>
>
> I haven't checked yet, just for clarification, this would be the package
> for the hypervisor, is it right?
>
> Clarification is never enough :D
>
> --
> http://iuri.neocities.org

These are the tools for lxc, the hypervisor comes bundled with the 
kernel. (Others correct me if I am wrong)

Cheers


-- 
Gustavo Maluf
IT System Administrator
Zetti Ingeniería en Sistemas S.R.L

---
"If you want to go somewhere, goto is the best way to get there."
--Ken Thompson



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Mon, 16 Dec 2013 19:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rob van der Hoeven <robvanderhoeven@ziggo.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Mon, 16 Dec 2013 19:45:14 GMT) Full text and rfc822 format available.

Message #189 received at 680469@bugs.debian.org (full text, mbox):

From: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Mon, 16 Dec 2013 20:07:59 +0100
On Mon, 2013-12-16 at 12:50 +0100, Raphael Hertzog wrote:
> Hi,
> 
> following my previous mail, here's the suggested debdiff to fix LXC in
> stable. I'm going to submit this to the stable release team.
> 
> I would welcome tests from real LXC users. My test package is
> here:
> http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb
> 
> Regards.

Tested the package on a clean VirtualBox amd64 Wheezy system. Creating a
Wheezy LXC container worked after:

1) Installing debootstrap

I think debootstrap should be a dependency because many (most) users are
probably only interested in creating Debian containers.
 
2) Mounting the cgroup filesystem:

I added the following line to fstab:

cgroup          /sys/fs/cgroup         cgroup  defaults        0       0

And executed: mount -a

Maybe the package should look for a mounted cgroup filesystem and add
one to fstab if its not present?

Thanks for your interest in the LXC Wheezy problems (and the Debian
handbook!)

Rob van der Hoeven.
http://freedomboxblog.nl





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 17 Dec 2013 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 17 Dec 2013 07:21:04 GMT) Full text and rfc822 format available.

Message #194 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Tue, 17 Dec 2013 08:19:48 +0100
On Mon, 16 Dec 2013, Rob van der Hoeven wrote:
> 1) Installing debootstrap
> 
> I think debootstrap should be a dependency because many (most) users are
> probably only interested in creating Debian containers.

It's in Recommends, that should be good enough. apt should install it by
default.

> 2) Mounting the cgroup filesystem:
> 
> I added the following line to fstab:
> 
> cgroup          /sys/fs/cgroup         cgroup  defaults        0       0
> 
> And executed: mount -a
> 
> Maybe the package should look for a mounted cgroup filesystem and add
> one to fstab if its not present?

This "problem" was already present in Squeeze and I don't think we need
a work-around for wheezy, it's also documented in README.Debian.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 17 Dec 2013 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Tingeborn <tinjon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 17 Dec 2013 20:45:05 GMT) Full text and rfc822 format available.

Message #199 received at 680469@bugs.debian.org (full text, mbox):

From: Jonas Tingeborn <tinjon@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Tue, 17 Dec 2013 21:43:00 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec 16, 2013 at 12:50 PM, Raphael Hertzog <hertzog@debian.org>wrote:

> following my previous mail, here's the suggested debdiff to fix LXC in
> stable. I'm going to submit this to the stable release team.
>
> I would welcome tests from real LXC users. My test package is
> here:
> http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb
>

Nice job Raphael. Works very well.
My two observations after testing it on a fresh Debian 7.1 install:

* Package should have a hard dependency on rsync
  Reason: rsync is used during the copy rootfs task, when instantiating a
  debian template via lxc-create. The task and entire container creation
  process will fail unless the tool is installed on the host system. As such
  I don't regard rsync as optional.

* Package should ensure cgroup is mounted (as already reported by Rob).
  Reason: container fails to start without it. I did notice you addressed
  Rob's comment, but having the package installer fix this would be a major
  usability improvement, compared to requiring the user to hunt through
  various documents, and end up consulting Google to find the solution to
why
  container's refuse to start.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Tue, 17 Dec 2013 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Tue, 17 Dec 2013 22:57:04 GMT) Full text and rfc822 format available.

Message #204 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jonas Tingeborn <tinjon@gmail.com>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Tue, 17 Dec 2013 23:54:26 +0100
On Tue, 17 Dec 2013, Jonas Tingeborn wrote:
> * Package should have a hard dependency on rsync
>   Reason: rsync is used during the copy rootfs task, when instantiating a
>   debian template via lxc-create. The task and entire container creation
>   process will fail unless the tool is installed on the host system. As such
>   I don't regard rsync as optional.

rsync falls in the same category than debootstrap... in Recommends because
it's only used by the lxc-debian template script.

> * Package should ensure cgroup is mounted (as already reported by Rob).
>   Reason: container fails to start without it. I did notice you addressed
>   Rob's comment, but having the package installer fix this would be a major
>   usability improvement, compared to requiring the user to hunt through
>   various documents, and end up consulting Google to find the solution to
> why
>   container's refuse to start.

I agree but it is too late for that kind of improvement. This is stuff
that needs to be improved (by the regular maintainer) in jessie for the
next stable. Here I'm just doing the bare minimum to get something usable.
Stable updates are not the place to do major changes like the one
suggested.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Thu, 09 Jan 2014 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Thu, 09 Jan 2014 09:03:04 GMT) Full text and rfc822 format available.

Message #209 received at 680469@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: Bug#680469: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Thu, 09 Jan 2014 09:59:10 +0100
[Message part 1 (text/plain, inline)]
 ❦ 16 décembre 2013 12:50 CET, Raphael Hertzog <hertzog@debian.org> :

> following my previous mail, here's the suggested debdiff to fix LXC in
> stable. I'm going to submit this to the stable release team.
>
> I would welcome tests from real LXC users. My test package is
> here:
> http://people.debian.org/~hertzog/packages/lxc_0.8.0~rc1-8+deb7u2_amd64.deb

Hi Raphael!

Thanks for trying to fix that! Did you push this to the release team?
-- 
Use debugging compilers.
            - The Elements of Programming Style (Kernighan & Plauger)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#680469; Package lxc. (Thu, 09 Jan 2014 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Thu, 09 Jan 2014 09:33:04 GMT) Full text and rfc822 format available.

Message #214 received at 680469@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Vincent Bernat <bernat@debian.org>
Cc: 680469@bugs.debian.org, Gustavo Maluf <gmaluf@zetti.com.ar>, Jonas Tingeborn <tinjon@gmail.com>, Iuri Guilherme dos Santos Martins <iuri.guilherme.dev@gmail.com>, Johannes Schauer <j.schauer@email.de>, Simon van der Veldt <simon.vanderveldt@gmail.com>, Rob van der Hoeven <robvanderhoeven@ziggo.nl>
Subject: Re: Bug#680469: lxc: diff for NMU version 0.8.0~rc1-8+deb7u2
Date: Thu, 9 Jan 2014 10:29:26 +0100
Hi,

On Thu, 09 Jan 2014, Vincent Bernat wrote:
> Thanks for trying to fix that! Did you push this to the release team?

Yes, see http://bugs.debian.org/732358

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 01 Feb 2014 19:33:11 GMT) Full text and rfc822 format available.

Notification sent to miguel <rui.bernardo.pt@gmail.com>:
Bug acknowledged by developer. (Sat, 01 Feb 2014 19:33:11 GMT) Full text and rfc822 format available.

Message #219 received at 680469-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 680469-close@bugs.debian.org
Subject: Bug#680469: fixed in lxc 0.8.0~rc1-8+deb7u2
Date: Sat, 01 Feb 2014 19:32:14 +0000
Source: lxc
Source-Version: 0.8.0~rc1-8+deb7u2

We believe that the bug you reported is fixed in the latest version of
lxc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated lxc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 16 Dec 2013 08:51:43 +0100
Source: lxc
Binary: lxc lxc-dbg lxc-dev
Architecture: source amd64
Version: 0.8.0~rc1-8+deb7u2
Distribution: wheezy
Urgency: medium
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 lxc        - Linux Containers userspace tools
 lxc-dbg    - Linux Containers userspace tools (debug)
 lxc-dev    - Linux Containers userspace tools (development)
Closes: 680469
Changes: 
 lxc (0.8.0~rc1-8+deb7u2) wheezy; urgency=medium
 .
   * Non-maintainer upload.
   * Use latest upstream provided lxc-debian that actually works. Closes: #680469
   * Add rsync to Recommends since lxc-debian uses it.
Checksums-Sha1: 
 77cb21ec08b344a9cca8756724b3657264cb5a73 1626 lxc_0.8.0~rc1-8+deb7u2.dsc
 9e4c0e0bfe0b17dce47f8755091c6c499cef3aad 44324 lxc_0.8.0~rc1-8+deb7u2.debian.tar.xz
 74ccf808df7d19242ebf1a91a7f32fb66f39a6fc 169900 lxc_0.8.0~rc1-8+deb7u2_amd64.deb
 5fbb5c0257763d846e40161d5988a020b8e876d6 277882 lxc-dbg_0.8.0~rc1-8+deb7u2_amd64.deb
 a61f05131d734aac880785030fe13feb90f8b76b 19604 lxc-dev_0.8.0~rc1-8+deb7u2_amd64.deb
Checksums-Sha256: 
 b7133aeee74b30f900dfaafe48fb714808e870a09795f19ecf2c55a4fd883d70 1626 lxc_0.8.0~rc1-8+deb7u2.dsc
 03eac9e0ab38f2ee185b9fe8f67d865cb8d90d11ecc1dadc11323017f7e44c1b 44324 lxc_0.8.0~rc1-8+deb7u2.debian.tar.xz
 06f2ba886c07b0e224429f7b03802612ee58852d7b5be7e8e4b28d74dcd40119 169900 lxc_0.8.0~rc1-8+deb7u2_amd64.deb
 f307eadc0a0005be6cd446d3bd230dfb408e9c07ed965762a37df6fb5af0123d 277882 lxc-dbg_0.8.0~rc1-8+deb7u2_amd64.deb
 41701a3bb30ccd71c22acb3a2425b7f38431475002eb96174f33be3d2aeafbe1 19604 lxc-dev_0.8.0~rc1-8+deb7u2_amd64.deb
Files: 
 c8d128f5a541b32f6e6694c60ed6ebae 1626 admin optional lxc_0.8.0~rc1-8+deb7u2.dsc
 44bee22f138f11e3881cabd7e553023b 44324 admin optional lxc_0.8.0~rc1-8+deb7u2.debian.tar.xz
 00e9b7b812d6b156f0ea298b88ed6673 169900 admin optional lxc_0.8.0~rc1-8+deb7u2_amd64.deb
 9af845e58f4b582db0a377426318b9c3 277882 debug extra lxc-dbg_0.8.0~rc1-8+deb7u2_amd64.deb
 4e3e8f4f4de4d2b74cf43cdff041833c 19604 libdevel optional lxc-dev_0.8.0~rc1-8+deb7u2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQEcBAEBCAAGBQJS7KCFAAoJEAOIHavrwpq5E7IH/jVYLNrJQZ/XnkZQalXmWeEj
1JDTY0z9w80A3TLsiWCf5xC2uRvAD5ZyL5PH0/0pHrOxGPL8C/LJxJ9Cst9eMsoV
3ElIhvVA5d0bhxYEOD8vb83/GIyxyWbH8vgcWVYSuYq/QuYJwtSVBtvsgldN4bVN
hwQTztfOm74eijV5zVxmc1E9UuI0D3q7L6gMUuYriLoyuNgSU4Sj5BQilN40dHvj
IkdeEL08f+V68dP6NTCx1wOEiu9UWLUZ1xsDgeJ5IPobcshp+xPmdeVCdxEl+SKl
IpvkQ/S4KasP2ExEIRBB1GN8gLdY8O2xfOCZhAyCy/PMTslPXfgQXQKO6n8TgF0=
=3X37
-----END PGP SIGNATURE-----




Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 01 Feb 2014 19:33:12 GMT) Full text and rfc822 format available.

Notification sent to eldau <m.wuehrer@gmx.net>:
Bug acknowledged by developer. (Sat, 01 Feb 2014 19:33:12 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 01 Feb 2014 19:33:13 GMT) Full text and rfc822 format available.

Notification sent to Stefan Schlesinger <sts@ono.at>:
Bug acknowledged by developer. (Sat, 01 Feb 2014 19:33:13 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 01 Feb 2014 19:33:14 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Schmidt <yath@yath.de>:
Bug acknowledged by developer. (Sat, 01 Feb 2014 19:33:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Mar 2014 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:18:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.